Handle uncaught promise rejections in the storage inspector
Attempting to replace the deprecated-sync-thenables with Promise.jsm promises in protocol.js (bug  uncovered some uncaught promise rejections in the inspector. These need to be fixed before I can land the former.
